Package org.opengis.cite.iso19142.util

# Class FeatureProperty

java.lang.Object
org.opengis.cite.iso19142.util.FeatureProperty

public final class FeatureProperty extends Object
An immutable description of a feature property. The property type may be simple (e.g. a string) or complex (e.g. a GML geometry element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureProperty(QName featureType, org.apache.xerces.xs.XSElementDeclaration declaration)`
  Constructor specifying the feature type and property declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `org.apache.xerces.xs.XSElementDeclaration`
  `getDeclaration()`
  Gets the element declaration for this feature property.
  `QName`
  `getFeatureType()`
  Gets the qualified name of the feature type to which this property belongs.
  `QName`
  `getName()`
  Gets the qualified name of the feature property.
  `(package private) QName`
  `getTypeName(org.apache.xerces.xs.XSElementDeclaration elementDecl)`
  Returns the qualified name of the property value type.
  `QName`
  `getValueType()`
  Gets the qualified name of the property value type.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FeatureProperty

    public FeatureProperty(QName featureType, org.apache.xerces.xs.XSElementDeclaration declaration)
    Constructor specifying the feature type and property declaration. The property name and value type are derived from the element declaration.
    Parameters:
      `featureType` - A QName specifying the feature type to which the property belongs.
      `declaration` - A schema component representing an element declaration for the property.

- ## Method Details

  - ### getName

    public QName getName()
    Gets the qualified name of the feature property.
    Returns:
      A QName object.

  - ### getFeatureType

    public QName getFeatureType()
    Gets the qualified name of the feature type to which this property belongs.
    Returns:
      A QName object.

  - ### getValueType

    public QName getValueType()
    Gets the qualified name of the property value type. This is either the name of a simple datatype (e.g. xsd:decimal) or the name of an acceptable child element (e.g. gml:Point).
    Returns:
      A QName object.

  - ### getDeclaration

    public org.apache.xerces.xs.XSElementDeclaration getDeclaration()
    Gets the element declaration for this feature property.
    Returns:
      A schema component representing an element declaration from an XML Schema.

  - ### getTypeName

    QName getTypeName(org.apache.xerces.xs.XSElementDeclaration elementDecl)
    Returns the qualified name of the property value type. If the property has a complex type, this is the type name of the expected value. Since the use of a choice compositor is very unconventional in this context (an abstract element is generally preferred), only one element is assumed to appear as an allowed value of a complex type.
    Parameters:
      `elementDecl` - A schema component representing an element declaration.
    Returns:
      A QName denoting the name of a simple or complex type.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`